%define rel 1

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	3.1.2
Release:	%mkrel %{rel}
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz
Source1:	http://rsync.samba.org/ftp/rsync/rsync.html
Source2:	http://rsync.samba.org/ftp/rsync/rsyncd.conf.html
Source3:	rsync.xinetd
Source5:	http://rsync.samba.org/ftp/rsync/%{name}-patches-%{version}.tar.gz

Source14:	rsyncd.conf
Source15:	rsyncd.sysconfig
Patch0:		rsync-3.1.1-rrsync-bug.patch
License:	GPLv3+
BuildRequires:	popt-devel
BuildRequires:	libacl-devel
BuildRequires:	zlib-devel
BuildRequires:	acl

%define acl_patches 1

%{?_with_patches:%define acl_patches 1}
%{?_without_patches:%define acl_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.

%if %acl_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%if %acl_patches
%setup -q -D -b 5 -n %{name}-%{version}
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%else
%setup -q -n %{name}-%{version}
%endif
%patch0 -p1 -b .rrsync

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-nobody-group=nogroup

%make proto
%make


%install
rm -rf %buildroot
%makeinstall_std

install -m644 %{SOURCE1} %{SOURCE2} .

install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xinetd.d/rsync
install -D -m644 %{SOURCE14} %{buildroot}%{_sysconfdir}/rsyncd.conf
install -D -m644 %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/rsyncd

%files
%doc tech_report.tex README *html NEWS OLDNEWS
%doc support/rrsync
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyncd
%config(noreplace) %{_sysconfdir}/xinetd.d/rsync


%changelog
* Mon Dec 21 2015 bb <bb> 3.1.2-1pclos2015
- update

* Wed Jul 22 2015 bb <bb> 3.1.1-1pclos2015
- update
- add upstream patch to fix CVE-2014-9512

